#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int n, x, a, rez;
    int mink, maxk;
    scanf("%d %d", &n, &x);
    mink=x;
    maxk=x;
    for(int i=0; i<n; i++)
    {
        scanf("%d", &a);
        if(a<mink)
        {
            mink=a;
        }
        if(a>maxk)
        {
            maxk=a;
        }
    }
        if(x==mink || x==maxk)
        {
            rez=maxk-mink;
        }
        else
        {
            int s1, s2;
            s1=x-mink;
            s2=maxk-x;
            if(s1<s2)
            {
                rez=s1+maxk-mink;
            }
            else
            {
                rez=s2+maxk-mink;
            }
        }
    printf("%d", rez);
}